<?xml version="1.0" encoding="UTF-8"?>

<!-- ~ JBoss, Home of Professional Open Source. ~ Copyright 2011, Red Hat, 
	Inc., and individual contributors ~ as indicated by the @author tags. See 
	the copyright.txt file in the ~ distribution for a full listing of individual 
	contributors. ~ ~ This is free software; you can redistribute it and/or modify 
	it ~ under the terms of the GNU Lesser General Public License as ~ published 
	by the Free Software Foundation; either version 2.1 of ~ the License, or 
	(at your option) any later version. ~ ~ This software is distributed in the 
	hope that it will be useful, ~ but WITHOUT ANY WARRANTY; without even the 
	implied warranty of ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See the GNU ~ Lesser General Public License for more details. ~ ~ You should 
	have received a copy of the GNU Lesser General Public ~ License along with 
	this software; if not, write to the Free ~ Software Foundation, Inc., 51 
	Franklin St, Fifth Floor, Boston, MA ~ 02110-1301 USA, or see the FSF site: 
	http://www.fsf.org. -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.jboss.installer</groupId>
        <artifactId>jboss-eap-installer-parent</artifactId>
        <version>8.1.2.GA-redhat-00006</version>
    </parent>

    <artifactId>jboss-eap-installer-tests-util</artifactId>
    <packaging>jar</packaging>
    <name>JBoss EAP Installer - Test Util</name>
    <licenses>
     <license>
      <name>The GNU Lesser General Public License, Version 3.0</name>
      <url>http://www.gnu.org/licenses/lgpl-3.0.txt</url>
      <distribution>repo</distribution>
     </license>
    </licenses>

    <dependencies>
        <dependency>
            <groupId>org.apache.directory.server</groupId>
            <artifactId>apacheds-test-framework</artifactId>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcmail-jdk18on</artifactId>
        </dependency>
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcpg-jdk18on</artifactId>
        </dependency>
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcpkix-jdk18on</artifactId>
        </dependency>
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcprov-jdk18on</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wildfly.security</groupId>
            <artifactId>wildfly-elytron-x500-cert</artifactId>
        </dependency>
    </dependencies>

    <build>
        <resources>
            <resource>
                <directory>${basedir}/src/main/resources/properties</directory>
                <filtering>true</filtering>
            </resource>
            <resource>
                <directory>${basedir}/src/main/resources</directory>
                <filtering>false</filtering>
            </resource>
        </resources>
        <testResources>
            <testResource>
                <directory>${basedir}/src/test/resources/properties</directory>
                <filtering>true</filtering>
            </testResource>
            <testResource>
                <directory>${basedir}/src/test/resources</directory>
                <filtering>false</filtering>
            </testResource>
        </testResources>

        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-checkstyle-plugin</artifactId>
            </plugin>
        </plugins>
    </build>
</project>
